# Zip

The **Zip** function adds files to a zip archive.

***

## Properties

### Archive

The file path to the zip archive folder that will be used or created to store the given files.

### Files to compress

A file path string, or a JSON array containing multiple file path strings. All files will be added to the zip archive.

### Archive exists

If the zip archive exists, you can opt to:

* **Append data:** Opens the archive and adds the given files to it.
* **Increment file name:** Adds a number to the zip archive's name to create a unique zip archive. This is a sequential number starting at 1.
* **Overwrite file:** Replaces the content of the zip archive with the new files.
* **Throw exception:** Stops the function's processing and returns an error.

### Archive does not exist

Determines whether the zip archive should be created or an exception thrown if the zip archive does not exist.

* *Create File* creates a zip archive for the given file path.
* *Throw Exception* stops the function's processing and returns an error.

### Password

Password for the zip archive that will be created.

***

## Definition

If the function's processing is successful, then the files will be stored in a zip archive, and its file path will be returned as the result in **ArchiveFilePath**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/compression/content/zip.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
